Skip to main content
GET
/
api
/
v1
/
description_entities
/
{resource_type}
/
{id.project}
/
{id.domain}
Fetch a list of :ref:`ref_flyteidl.admin.DescriptionEntity` definitions
curl --request GET \
  --url https://mycluster.domino.tech/api/v1/description_entities/{resource_type}/{id.project}/{id.domain}
{
  "descriptionEntities": [
    {
      "id": {
        "resource_type": "UNSPECIFIED",
        "project": "<string>",
        "domain": "<string>",
        "name": "<string>",
        "version": "<string>",
        "org": "<string>"
      },
      "short_description": "<string>",
      "long_description": {
        "value": "<string>",
        "uri": "<string>",
        "format": "DESCRIPTION_FORMAT_UNKNOWN",
        "icon_link": "<string>"
      },
      "source_code": {
        "link": "<string>"
      },
      "tags": [
        "<string>"
      ]
    }
  ],
  "token": "<string>"
}

Path Parameters

resource_type
enum<string>
required

Identifies the specific type of resource that this identifier corresponds to.

Available options:
UNSPECIFIED,
TASK,
WORKFLOW,
LAUNCH_PLAN,
DATASET
id.project
string
required

Name of the project the resource belongs to.

id.domain
string
required

Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.

Query Parameters

id.name
string

User provided value for the resource. The combination of project + domain + name uniquely identifies the resource. +optional - in certain contexts - like 'List API', 'Launch plans'

id.org
string

Optional, org key applied to the resource.

limit
integer<int64>

Indicates the number of resources to be returned. +required

token
string

In the case of multiple pages of results, the server-provided token can be used to fetch the next page in a query. +optional

filters
string

Indicates a list of filters passed as string. More info on constructing filters : +optional

sort_by.key
string

Indicates an attribute to sort the response values. +required

sort_by.direction
enum<string>
default:DESCENDING

Indicates the direction to apply sort key for response values. +optional

  • DESCENDING: By default, fields are sorted in descending order.
Available options:
DESCENDING,
ASCENDING

Response

A successful response.

descriptionEntities
object[]

A list of DescriptionEntities returned based on the request.

token
string

In the case of multiple pages of results, the server-provided token can be used to fetch the next page in a query. If there are no more results, this value will be empty.